Package org.apache.sis.referencing.operation.transform

## Enum ContextualParameters.MatrixRole

- Object
- - Enum<ContextualParameters.MatrixRole>
  - - MatrixRole

- All Implemented Interfaces:
    `Serializable`, `Comparable<ContextualParameters​.MatrixRole>`
  Enclosing class:
    ContextualParameters

      public static enum ContextualParameters.MatrixRole
      extends Enum<ContextualParameters.MatrixRole>

  Whether a matrix is used for normalization or denormalization before or after a non-linear operation.
  Since:
    0.7
  See Also:
    `ContextualParameters​.getMatrix(MatrixRole)`

  Defined in the `sis-referencing` module

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DENORMALIZATION` | Matrix for scaling Cartesian coordinates to the size of the planet, or any other linear operations needed after execution of a non-linear operation.
    `INVERSE_DENORMALIZATION` | Inverse of the `DENORMALIZATION` matrix.
    `INVERSE_NORMALIZATION` | Inverse of the `NORMALIZATION` matrix.
    `NORMALIZATION` | Matrix for converting angular degrees to radians, or any other linear operations needed before to apply a non-linear operation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContextualParameters.MatrixRole` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ContextualParameters.MatrixRole[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMALIZATION

          public static final ContextualParameters.MatrixRole NORMALIZATION

      Matrix for converting angular degrees to radians, or any other linear operations needed before to apply a non-linear operation. For example in a map projection, this matrix is typically (but not necessarily) as below:
      π/180 0 -λ 0 ⋅ (π/180) 0 π/180 0 0 0 1

    - #### INVERSE_NORMALIZATION

          public static final ContextualParameters.MatrixRole INVERSE_NORMALIZATION

      Inverse of the `NORMALIZATION` matrix. For example in a map projection, this matrix is typically (but not necessarily) as below:
      180/π 0 λ 0 0 180/π 0 0 0 1

    - #### DENORMALIZATION

          public static final ContextualParameters.MatrixRole DENORMALIZATION

      Matrix for scaling Cartesian coordinates to the size of the planet, or any other linear operations needed after execution of a non-linear operation. For example in a map projection, this matrix is typically (but not necessarily) as below:
      a ⋅ k 0 0 FE 0 a ⋅ k 0 FN 0 0 1

    - #### INVERSE_DENORMALIZATION

          public static final ContextualParameters.MatrixRole INVERSE_DENORMALIZATION

      Inverse of the `DENORMALIZATION` matrix.

  - ### Method Detail

    - #### values

          public static ContextualParameters.MatrixRole[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContextualParameters.MatrixRole c : ContextualParameters.MatrixRole.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContextualParameters.MatrixRole valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null